body {
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    background-image: url('../imagen/fondo.png');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    color: white;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    position: relative;
    overflow: auto;
}

.header {
    width: 100%;
    background-color: rgba(66, 133, 244, 0.9);
    color: white;
    display: flex;
    justify-content: center;
    padding: 10px 0;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.5);
}

.header img {
    max-width: 100%;
    height: auto;
}


.messeger{
    width: 70%;
    background-color: rgba(255, 255, 255, 0.815);
    margin-top: 20px;
    align-self: center; /* se alineo el contenedor */
    padding: 20px;
    border-radius: 3px;
}

.opacity{
    background-color: rgba(240, 248, 255, 0.801);
    justify-items: center; /* se alinearon las letras */
    align-self: center; /* se alineo el contenedor */
    padding: 20px;
    border-radius: 3px;
    color: rgb(29, 29, 29);
    padding-bottom: 20px;
    font-family: 'Roboto';
}


.logo{
    width: 250px;   
}


.container_inicio{
    background-color: rgba(1, 40, 92, 0.925);
    padding: 20px;
    text-align: center;
    box-shadow: 0 2px 10px rgba(14, 13, 13, 0.329);
    width: 600px;
    align-self: center;
    margin-top: 40px;
    border-radius: 3px;
    margin-bottom: 100px;
    margin-top: 100px;
}

.form-group label {
    margin-bottom: 5px;
    font-weight: bold;
    color: white;
    font-family: 'Roboto';
    font-size: 18px;

}

.form-group input, .form-group select, .form-group textarea {
    width: 80%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 3px;
    font-size: 16px;
}

.form-group{
    margin: 30px;
    margin-right: 60px;
    
}

.enviar{
    background-color: #1492ec;
    border: 0;
    cursor: pointer;
    color: aliceblue;
    font-size: 18px;
    width: 200px;
    height: 50px;
    border-radius: 3px;
    
}

.enviar:hover{
    background-color: #1c6192;
}

.exitoso{
    color: green;
    background-color: #d4edda;
    border: 1px solid #c3e6cb;
    padding: 10px;
    width: 100%;
}


.bad{
    color: red;
    background-color: #f8d7da;
    border: 1px solid #f5c6cb;
    padding: 10px;
    width: 100%;
}


.message-container{
    position: absolute;
    border-radius: 5px;
    text-align: center;
    font-weight: bold;
    width: 400px;
    height: 80px;
    margin-top: 44%; 
    align-self: center;   /* se alinea el contenedor  */
}






/* PIE DE PAGINA */
.footer {
    text-align: center;
    padding: 10px;
    background-color: rgba(0, 51, 102, 0.524);
    color: white;
    width: 100%;
    position: relative;
    bottom: 0;
}
.social-title {
    text-align: center;
}
.interest-section {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin: 20px auto;
    max-width: 500px;
}
.interest-button {
    display: inline-block;
    width: 180px;
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 10px;
    padding: 20px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.3);
    text-align: center;
    cursor: pointer;
}
.interest-button img {
    width: 80px;
    height: 80px;
    border-radius: 50%;
    object-fit: cover;
}
.interest-button:hover {
    transform: scale(1.2);
}
.social-container {
    display: flex;
    justify-content: center;
    gap: 110px;
    margin-top: 30px;
    background-color: rgba(255, 255, 255, 0.2); /* Cuadro transparente */
    padding: 10px;
    border-radius: 50px;
}
.social-button {
    width: 80px;
    height: 80px;
    cursor: pointer;
    transition: transform 0.3s;
}
.social-button:hover {
    transform: scale(1.2); /* Aumentar tamaño al pasar el mouse */
}